Index: azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core.h
===================================================================
--- azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core.h	(revision 457)
+++ azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core.h	(revision 464)
@@ -2,14 +2,11 @@
 // Licensed under the MIT license. See LICENSE file in the project root for full license information.
 
-/** @file iothub_client_core.h
-*    @brief Extends the IoTHubClientCore_LL module with additional features.
-*
-*    @details IoTHubClientCore is a module that extends the IoTHubClientCore_LL
-*             module with 2 features:
-*                - scheduling the work for the IoTHubCLient from a
-*                  thread, so that the user does not need to create their
-*                  own thread
-*                - thread-safe APIs
-*/
+//**********************************************************************
+// NOTE: THIS HEADER IS FOR INTERNAL USE ONLY
+// 
+// Applications should use iothub_device_client.h or iothub_module_client.h 
+// instead for the official API.
+// 
+//**********************************************************************
 
 #ifndef IOTHUB_CLIENT_CORE_H
Index: azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core_ll.h
===================================================================
--- azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core_ll.h	(revision 457)
+++ azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_core_ll.h	(revision 464)
@@ -2,22 +2,11 @@
 // Licensed under the MIT license. See LICENSE file in the project root for full license information.
 
-/** @file iothub_client_core_ll.h
-*    @brief     APIs that allow a user (usually a device) to communicate
-*             with an Azure IoTHub.
-*
-*    @details IoTHubClientCore_LL is a module that allows a user (usually a
-*             device) to communicate with an Azure IoTHub. It can send events
-*             and receive messages. At any given moment in time there can only
-*             be at most 1 message callback function.
-*
-*             This API surface contains a set of APIs that allows the user to
-*             interact with the lower layer portion of the IoTHubClient. These APIs
-*             contain @c _LL_ in their name, but retain the same functionality like the
-*             @c IoTHubClient_... APIs, with one difference. If the @c _LL_ APIs are
-*             used then the user is responsible for scheduling when the actual work done
-*             by the IoTHubClient happens (when the data is sent/received on/from the wire).
-*             This is useful for constrained devices where spinning a separate thread is
-*             often not desired.
-*/
+//**********************************************************************
+// NOTE: THIS HEADER IS FOR INTERNAL USE ONLY
+// 
+// Applications should use iothub_device_client_ll.h or iothub_module_client_ll.h 
+// instead for the official API.
+// 
+//**********************************************************************
 
 #ifndef IOTHUB_CLIENT_CORE_LL_H
Index: azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_ll.h
===================================================================
--- azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_ll.h	(revision 457)
+++ azure_iot_hub_f767zi/trunk/azure_iot_sdk/iothub_client/inc/iothub_client_ll.h	(revision 464)
@@ -1,4 +1,13 @@
 // Copyright (c) Microsoft. All rights reserved.
 // Licensed under the MIT license. See LICENSE file in the project root for full license information.
+
+//**********************************************************************
+// NOTE: THIS HEADER IS DEPRECATED
+// 
+// Functions in this header will be maintained for backward compatability.
+// New applications should use iothub_device_client_ll.h.
+// 
+//**********************************************************************
+
 
 /** @file iothub_client_ll.h
@@ -6,5 +15,5 @@
 *             with an Azure IoTHub.
 *
-*    @details IoTHubClient_LL is a module that allows a user (usually a
+*    @details IoTHubClient_LL allows a user (usually a
 *             device) to communicate with an Azure IoTHub. It can send events
 *             and receive messages. At any given moment in time there can only
